GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
std::hash< gridfire::QSECacheKey > Struct Reference

`#include <engine_multiscale.h>`

## Public Member Functions
size_t | operator() (const gridfire::QSECacheKey &key) const noexcept
| Computes the hash of a QSECacheKey for use in `std::unordered_map`.

## Detailed Description

Definition at line 109 of file engine_multiscale.h.

## Member Function Documentation

## ◆ operator()()

size_t std::hash< gridfire::QSECacheKey >::operator() | ( | const gridfire::QSECacheKey & | key | ) | const
| inline noexcept

Computes the hash of a QSECacheKey for use in `std::unordered_map`.

Parameters

  key | The QSECacheKey to hash.

Returns
  The pre-computed hash value of the key.

Definition at line 115 of file engine_multiscale.h.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/views/engine_multiscale.h